# Module Llvm.TypeKind

    module TypeKind: sig .. end

The kind of an `lltype`, the result of `classify_type ty`. See the `llvm::Type::TypeID` enumeration.

    type t =

`|` | `Void`
`|` | `Half`
`|` | `Float`
`|` | `Double`
`|` | `X86fp80`
`|` | `Fp128`
`|` | `Ppc_fp128`
`|` | `Label`
`|` | `Integer`
`|` | `Function`
`|` | `Struct`
`|` | `Array`
`|` | `Pointer`
`|` | `Vector`
`|` | `Metadata`
`|` | `X86_mmx`
`|` | `Token`